
From: Andrew Morton <akpm@osdl.org>

Cc: Venkatesh Pallipadi <venkatesh.pallipadi@intel.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/i386/kernel/setup.c |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

diff -puN arch/i386/kernel/setup.c~x86-automatically-enable-bigsmp-when-we-have-more-than-8-cpus-2-tidy arch/i386/kernel/setup.c
--- devel/arch/i386/kernel/setup.c~x86-automatically-enable-bigsmp-when-we-have-more-than-8-cpus-2-tidy	2005-08-05 00:42:27.000000000 -0700
+++ devel-akpm/arch/i386/kernel/setup.c	2005-08-05 00:42:27.000000000 -0700
@@ -1587,9 +1587,10 @@ void __init setup_arch(char **cmdline_p)
 	acpi_boot_init();
 
 #if defined(CONFIG_SMP) && defined(CONFIG_X86_PC)
-	if (def_to_bigsmp) {
-		printk(KERN_WARNING "More than 8 CPUs detected and CONFIG_X86_PC cannot handle it.\n Use CONFIG_X86_GENERICARCH or CONFIG_X86_BIGSMP.\n");
-	}
+	if (def_to_bigsmp)
+		printk(KERN_WARNING "More than 8 CPUs detected and "
+			"CONFIG_X86_PC cannot handle it.\nUse "
+			"CONFIG_X86_GENERICARCH or CONFIG_X86_BIGSMP.\n");
 #endif
 #endif
 #ifdef CONFIG_X86_LOCAL_APIC
_
